List available methods
curl --request GET \
--url https://api.orqex.com/v1/payment/intents/{paymentIntentId}/countries/{countryCode}/methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orqex.com/v1/payment/intents/{paymentIntentId}/countries/{countryCode}/methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orqex.com/v1/payment/intents/{paymentIntentId}/countries/{countryCode}/methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"value": "test",
"label": "<string>",
"description": "<string>",
"icon_url": "<string>",
"category": "<string>",
"requires_phone": true
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "The given data was invalid.",
"errors": {}
}{
"message": "<string>"
}Payment intents
List available methods
Payment methods available for this payment from the given country, in recommended order. The value of each entry is what you send as method_code.
GET
/
payment
/
intents
/
{paymentIntentId}
/
countries
/
{countryCode}
/
methods
List available methods
Authorizations
Your secret key, e.g. sk_live_... or sk_sandbox_....
Path Parameters
The payment intent id.
ISO 3166-1 alpha-2 country code.
Pattern:
^[A-Za-z]{2}$Query Parameters
Restrict to methods that can charge this currency.
Response
Available payment methods.
Show child attributes
Show child attributes
Was this page helpful?
⌘I